Special Key support incomplete with HP Compaq 6710b

Bug #179138 reported by dukat on 2007-12-28
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
NetworkManager
Fix Released
Undecided
Unassigned
acpi (Ubuntu)
Undecided
Unassigned
hal (Ubuntu)
Undecided
Unassigned
kubuntu-meta (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

Installation of Kubuntu 7.10 on a HP Compaq 6710b works fine, except some special keys:

Brightness Up / Down keys (Fn F9/F10)don't do anything. Manually setting brightness in Power Manager 0.8 works fine.
They are detected by both ACPI and HAL, though

acpi_listen
video C1AD 00000087 00000000 (down) / video C1AD 00000086 00000000 (up)

lshal --monitor
platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = brightness-down
platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = brightness-up

Video-Swich (FN F4) flackers, but doesn't change anything (at least with VGA inserted). xrandr works fine, though

acpi_listen
video C098 00000080 00000000

lshal-monitor
platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = switch-videomode

Presentation Button doesn't do anything, haven't checked how to change
No ACPI event, lshal gives:
platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = f23

The Network Switch works, but Network Manager doesn't seem to notice that the network's gone. KbluetoothTray does react, though
No ACPI, lshal gives

23:42:03.752: usb_device_3f0_171d_noserial_if3 removed
23:42:03.755: usb_device_3f0_171d_noserial_if2 removed
23:42:03.758: usb_device_3f0_171d_noserial_if0_bluetooth_hci removed
23:42:03.762: usb_device_3f0_171d_noserial_if1 removed
23:42:03.766: usb_device_3f0_171d_noserial_usbraw removed
23:42:03.767: usb_device_3f0_171d_noserial_if0 removed
23:42:03.771: usb_device_3f0_171d_noserial removed

and

23:43:00.176: usb_device_3f0_171d_noserial added
23:43:00.308: usb_device_3f0_171d_noserial_if3 added
23:43:00.373: usb_device_3f0_171d_noserial_if0 added
23:43:00.380: usb_device_3f0_171d_noserial_if0_bluetooth_hci added
23:43:00.465: usb_device_3f0_171d_noserial_if1 added
23:43:00.492: usb_device_3f0_171d_noserial_if2 added
23:43:00.545: usb_device_3f0_171d_noserial_usbraw added

Sleep / Help / Battery / Volume Buttons work

Thank you for your report and helping to make Ubuntu better. Can you attach the ouput of 'sudo dmidecode' ? Thanks.

Changed in linux:
status: New → Incomplete
Download full text (9.8 KiB)

Here's the output:

# dmidecode 2.9
SMBIOS 2.4 present.
25 structures occupying 1236 bytes.
Table at 0x000F25BA.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
        Vendor: Hewlett-Packard
        Version: 68DDU Ver. F.0B
        Release Date: 08/02/2007
        Address: 0xE0000
        Runtime Size: 128 kB
        ROM Size: 1024 kB
        Characteristics:
                PCI is supported
                PC Card (PCMCIA) is supported
                PNP is supported
                BIOS is upgradeable
                BIOS shadowing is allowed
                Boot from CD is supported
                Selectable boot is supported
                EDD is supported
                3.5"/720 KB floppy services are supported (int 13h)
                Print screen service is supported (int 5h)
                8042 keyboard services are supported (int 9h)
                Serial services are supported (int 14h)
                Printer services are supported (int 17h)
                ACPI is supported
                USB legacy is supported
                LS-120 boot is supported
                Smart battery is supported
                BIOS boot specification is supported
                Function key-initiated network boot is supported
                Targeted content distribution is supported
        BIOS Revision: 15.11
        Firmware Revision: 113.42

Handle 0x0001, DMI type 1, 27 bytes
System Information
        Manufacturer: Hewlett-Packard
        Product Name: HP Compaq 6710b (GB892EA#ABD)
        Version: F.0B
        Serial Number: CNU7430S4B
        UUID: B2C58DE3-E315-E011-198C-6D990E422D29
        Wake-up Type: Power Switch
        SKU Number: GB892EA#ABD
        Family: 103C_5336AN

Handle 0x0040, DMI type 126, 34 bytes
Inactive

Handle 0x0002, DMI type 2, 8 bytes
Base Board Information
        Manufacturer: Hewlett-Packard
        Product Name: 30C0
        Version: KBC Version 71.2A
        Serial Number: Not Specified

Handle 0x0003, DMI type 3, 13 bytes
Chassis Information
        Manufacturer: Hewlett-Packard
        Type: Notebook
        Lock: Not Present
        Version: Not Specified
        Serial Number: CNU7430S4B
        Asset Tag: CNU7430S4B
        Boot-up State: Safe
        Power Supply State: Safe
        Thermal State: Safe
        Security Status: External Interface Enabled

Handle 0x0041, DMI type 126, 32 bytes
Inactive

Handle 0x0004, DMI type 4, 35 bytes
Processor Information
        Socket Designation: U10
        Type: Central Processor
        Family: Pentium M
        Manufacturer: Intel(R)
        ID: FB 06 00 00 FF FB EB BF
        Signature: Type 0, Family 6, Model 15, Stepping 11
        Flags:
                FPU (Floating-point unit on-chip)
                VME (Virtual mode extension)
                DE (Debugging extension)
                PSE (Page size extension)
                TSC (Time stamp counter)
                MSR (Model specific registers)
                PAE (Physical address extension)
                MCE (Machine check exception)
                CX8 (CMPXCHG8 instruction supported)
                APIC (On-chip APIC hardware supported)
                SEP (Fast system call)
  ...

Read more...

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Incomplete → Triaged

Hi Dukat,

Not sure why I didn't ask you this earlier but care to test with the latest Hardy Alpha release to verify this issue still exists? The Hardy Heron Alpha series was recently released which contains an updated version of the kernel. You can download and try the new Hardy Heron Alpha release from http://cdimage.ubuntu.com/releases/hardy/ . You should be able to then test the new kernel via the LiveCD. If you can, please verify if this bug still exists or not and report back your results. General information regarding the release can also be found here: http://www.ubuntu.com/testing/ . Thanks.

Changed in linux:
status: Triaged → Incomplete
Changed in hal:
status: New → Invalid
Changed in acpi:
status: New → Invalid
dukat (dukat) wrote :

I just installed the latest Kubuntu Hardy beta and pulled the latest updates

- Brightness buttons: Work now. Yay!

- Display switch: still the same issues

- Wireless network Switch - still the same issues

- Presentation Switch - still no reaction

- There also seems to be a new bug introduced now: When I press the info button, I get a segfault signal 11 in KDE Daemon (kded). Here's the backtrace:

(no debugging symbols found)
[repeat x times]
[Thread debugging using libthread_db enabled]
[New Thread 0xb68b36c0 (LWP 6294)]
(no debugging symbols found)
[repeat x times]
[KCrash handler]
#6 0xb78db56a in KConfigBase::readEntry () from /usr/lib/libkdecore.so.4
#7 0xb793f692 in KConfigBase::readEntry () from /usr/lib/libkdecore.so.4
#8 0xb650e326 in KMilo::GenericMonitor::launch ()
   from /usr/lib/kde3/kmilo_generic.so
#9 0xb650e497 in KMilo::GenericMonitor::launchHelp ()
   from /usr/lib/kde3/kmilo_generic.so
#10 0xb6511748 in KMilo::GenericMonitor::qt_invoke ()
   from /usr/lib/kde3/kmilo_generic.so
#11 0xb78bc1d3 in KGlobalAccelPrivate::activate ()
   from /usr/lib/libkdecore.so.4
#12 0xb794892e in KGlobalAccelPrivate::x11KeyPress ()
   from /usr/lib/libkdecore.so.4
#13 0xb7948b4c in KGlobalAccelPrivate::x11Event ()
   from /usr/lib/libkdecore.so.4
#14 0xb7957aea in KApplication::x11EventFilter ()
   from /usr/lib/libkdecore.so.4
#15 0xb71d04a0 in ?? () from /usr/lib/libqt-mt.so.3
#16 0xbf8ba834 in ?? ()
#17 0xbf8ba5f8 in ?? ()
#18 0x00000001 in ?? ()
#19 0x00792650 in ?? ()
#20 0x0000006a in ?? ()
#21 0xb7792650 in ?? () from /usr/lib/libqt-mt.so.3
#22 0xbf8ba498 in ?? ()
#23 0xb71e0aaf in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
Backtrace stopped: frame did not save the PC

chengxi (chengxi1967-yahoo) wrote :
Download full text (5.7 KiB)

Mine is a HP Pavilion dv6000 ,and I installed newest Ubuntu hardy( 23-Apr-2008) , Fn-F4 for projecter is not work either.
ubuntu@laptop:~$ sudo dmidecode
# dmidecode 2.9
SMBIOS 2.4 present.
19 structures occupying 735 bytes.
Table at 0x3F6DF000.

Handle 0x0000, DMI type 0, 24 bytes
BIOS Information
 Vendor: Hewlett-Packard
 Version: F.23
 Release Date: 10/03/2007
 Address: 0xE69E0
 Runtime Size: 103968 bytes
 ROM Size: 1024 kB
 Characteristics:
  ISA is supported
  PCI is supported
  PNP is supported
  BIOS is upgradeable
  BIOS shadowing is allowed
  ESCD support is available
  Boot from CD is supported
  Selectable boot is supported
  Print screen service is supported (int 5h)
  8042 keyboard services are supported (int 9h)
  Serial services are supported (int 14h)
  Printer services are supported (int 17h)
  ACPI is supported
  USB legacy is supported
  AGP is supported
  Smart battery is supported
  BIOS boot specification is supported
  Targeted content distribution is supported

Handle 0x0001, DMI type 1, 27 bytes
System Information
 Manufacturer: Hewlett-Packard
 Product Name: HP Pavilion dv6500 Notebook PC
 Version: Rev 1
 Serial Number: CNF74523X2
 UUID: 434E4637-3435-3233-5832-001B24D09BFF
 Wake-up Type: Power Switch
 SKU Number: GS797UA#ABA
 Family: 103C_5335KV

Handle 0x0002, DMI type 2, 8 bytes
Base Board Information
 Manufacturer: Quanta
 Product Name: 30CC
 Version: 79.22
 Serial Number: None

Handle 0x0003, DMI type 3, 21 bytes
Chassis Information
 Manufacturer: Quanta
 Type: Notebook
 Lock: Not Present
 Version: N/A
 Serial Number: None
 Asset Tag:
 Boot-up State: Safe
 Power Supply State: Safe
 Thermal State: Safe
 Security Status: None
 OEM Information: 0x00000004
 Height: 32 U
 Number Of Power Cords: 32

Handle 0x0004, DMI type 4, 35 bytes
Processor Information
 Socket Designation: U2E1
 Type: Central Processor
 Family: Other
 Manufacturer: Intel
 ID: FD 06 00 00 FF FB EB BF
 Version: Intel(R) Core(TM)2 Duo CPU T5250
 Voltage: 3.3 V
 External Clock: 667 MHz
 Max Speed: 1500 MHz
 Current Speed: 1500 MHz
 Status: Populated, Enabled
 Upgrade: Socket 478
 L1 Cache Handle: 0x0005
 L2 Cache Handle: 0x0006
 L3 Cache Handle: Not Provided
 Serial Number: Not Specified
 Asset Tag: Not Specified
 Part Number: Not Specified

Handle 0x0005, DMI type 7, 19 bytes
Cache Information
 Socket Designation: L1 Cache
 Configuration: Enabled, Socketed, Level 1
 Operational Mode: Write Back
 Location: Internal
 Installed Size: 64 KB
 Maximum Size: 64 KB
 Supported SRAM Types:
  Burst
  Pipeline Burst
  Asynchronous
 Installed SRAM Type: Asynchronous
 Speed: Unknown
 Error Correction Type: Unknown
 System Type: Unknown
 Associativity: Unknown

Handle 0x0006, DMI type 7, 19 bytes
Cache Information
 Socket Designation: L2 Cache
 Configuration: Enabled, Socketed, Level 2
 Operational Mode: Write Back
 Location: External
 Installed Size: 2048 KB
 Maximum Size: 2048 KB
 Supported SRAM Types:
  Burst
  Pipeline Burst
  Asynchronous
 Installed SRAM Type: Burst
 Speed: Unknown
 Error Correction Type: Unknown
 System Type: Unknown
 Associativity: Unknown

Handle 0x0007, DMI type 9, 13 bytes
System Slot Information
 Designati...

Read more...

Changed in linux:
status: Incomplete → Triaged

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

dukat (dukat) wrote :

I've just updated to Kubunuty Jaunty 9.04 latest Beta

Most keys work, except Fn-F3 (Sleep) or Fn-F8 (Show Power)

Fn-F3 is catched in xev, but doesn't seem to be mapped to anything:
KeyPress event, serial 34, synthetic NO, window 0x4000001,
    root 0xc2, subw 0x0, time 6963639, (-35,769), root:(667,794),
    state 0x0, keycode 150 (keysym 0x1008ff2f, XF86Sleep), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

Same goes for the Battery button
KeyPress event, serial 34, synthetic NO, window 0x4000001,
    root 0xc2, subw 0x0, time 7054314, (-201,692), root:(501,717),
    state 0x0, keycode 244 (keysym 0x1008ff93, XF86Battery), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

Doesn't seem to be mapped to anything.

dukat (dukat) wrote :

Works in Jaunty 9.04

Changed in network-manager:
status: New → Fix Released
dukat (dukat) wrote :

The previous "Works in Jaunty 9.04" only applies to the network-manager status change...

Jonathan Thomas (echidnaman) wrote :

The Kubuntu hotkeys you are experiencing are currently being tracked as bug 293213.
In the future, you should probably consider reporting one bug per issue, instead of lumping them all together into one.

Changed in kubuntu-meta (Ubuntu):
status: New → Invalid
Jim Lieb (lieb) wrote :

As a kernel bug, this invalid. The events are being passed to the upper layers (QT) where they are being ignored. These issues are being tracked in the bug(s) cited in earlier comments.

Changed in linux (Ubuntu):
status: Triaged → Invalid
nebu (subs-zero) wrote :

The same problem persists in Ubuntu 10.04 the presentation key is still not working

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers